# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "brk_rolldown_plugin_vite_css_post"
version = "1.0.0-rc.7"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rolldown plugin for Vite CSS post-processing"
homepage = "https://rolldown.rs/"
readme = false
license = "MIT"
repository = "https://github.com/nym21/rolldown"

[lib]
name = "brk_rolldown_plugin_vite_css_post"
path = "src/lib.rs"
doctest = false

[dependencies.anyhow]
version = "1.0.98"

[dependencies.arcstr]
version = "1.2.0"
default-features = false

[dependencies.base64-simd]
version = "0.8.0"

[dependencies.cow-utils]
version = "0.1.3"

[dependencies.derive_more]
version = "2.0.1"
features = ["debug"]

[dependencies.regex]
version = "1.11.1"

[dependencies.rolldown_common]
version = "1.0.0-rc.7"
package = "brk_rolldown_common"

[dependencies.rolldown_plugin]
version = "1.0.0-rc.7"
package = "brk_rolldown_plugin"

[dependencies.rolldown_plugin_utils]
version = "1.0.0-rc.7"
package = "brk_rolldown_plugin_utils"

[dependencies.rolldown_utils]
version = "1.0.0-rc.7"
package = "brk_rolldown_utils"

[dependencies.rustc-hash]
version = "2.1.1"

[dependencies.serde_json]
version = "1.0.140"

[dependencies.string_wizard]
version = "1.0.0-rc.7"
features = ["serde"]
package = "brk_string_wizard"

[dependencies.sugar_path]
version = "2.0.1"
features = ["cached_current_dir"]

[lints.clippy]
allow_attributes = "deny"
branches_sharing_code = "allow"
case_sensitive_file_extension_comparisons = "allow"
clone_on_ref_ptr = "deny"
cognitive_complexity = "allow"
collapsible_if = "allow"
dbg_macro = "deny"
doc_markdown = "allow"
empty_drop = "deny"
equatable_if_let = "allow"
exit = "deny"
fallible_impl_from = "allow"
filetype_is_file = "deny"
get_unwrap = "deny"
impl_trait_in_params = "allow"
iter_with_drain = "allow"
literal_string_with_formatting_args = "allow"
map_unwrap_or = "allow"
missing_const_for_fn = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_inception = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
needless_collect = "allow"
needless_for_each = "allow"
new_without_default = "allow"
non_send_fields_in_send_ty = "allow"
option_if_let_else = "allow"
or_fun_call = "allow"
print_stdout = "deny"
rc_buffer = "deny"
rc_mutex = "deny"
rest_pat_in_fully_bound_structs = "deny"
significant_drop_tightening = "allow"
similar_names = "allow"
single_match_else = "allow"
single_option_map = "allow"
string_lit_as_bytes = "allow"
struct_field_names = "allow"
too_long_first_doc_paragraph = "allow"
trivial_regex = "allow"
trivially_copy_pass_by_ref = "allow"
unnecessary_safety_comment = "deny"
unnecessary_struct_initialization = "allow"
unused_self = "allow"
use_self = "allow"
useless_let_if_seq = "allow"
wrong_self_convention = "allow"
zero_sized_map_values = "allow"

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1
